OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP203

# StepAP203_CcDesignContract Class Reference

Representation of STEP entity CcDesignContract
.

`#include <StepAP203_CcDesignContract.hxx>`

Inheritance diagram for StepAP203_CcDesignContract:

[legend]

## Public Member Functions
Standard_EXPORT | StepAP203_CcDesignContract ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Contract)&aContractAssignment_AssignedContract, const Handle(StepAP203_HArray1OfContractedItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP203_HArray1OfContractedItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP203_HArray1OfContractedItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepAP203_HArray1OfContractedItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_CcDesignContract::StepAP203_CcDesignContract | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP203_CcDesignContract::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ContractAssignment.

Standard_EXPORT void StepAP203_CcDesignContract::Init | ( | const Handle(StepBasic_Contract)& | aContractAssignment_AssignedContract,
|  | const Handle(StepAP203_HArray1OfContractedItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP203_HArray1OfContractedItem StepAP203_CcDesignContract::Items | ( |  | ) | const

Standard_EXPORT void StepAP203_CcDesignContract::SetItems | ( | const Handle(StepAP203_HArray1OfContractedItem)& | Items | ) |

## Field Documentation

Handle_StepAP203_HArray1OfContractedItem StepAP203_CcDesignContract::theItems`[private]`

The documentation for this class was generated from the following file:

- StepAP203_CcDesignContract.hxx